Bug 888359 - SELinux is preventing /usr/libexec/gvfs-afc-volume-monitor from 'getattr' accesses on the sock_file /run/usbmuxd.
Summary: SELinux is preventing /usr/libexec/gvfs-afc-volume-monitor from 'getattr' acc...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0fff2f3a3273202cb4264d011b2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-18 14:50 UTC by Marcel Wysocki
Modified: 2013-01-11 23:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-11 23:14:22 UTC


Attachments (Terms of Use)

Description Marcel Wysocki 2012-12-18 14:50:32 UTC
Description of problem:
SELinux is preventing /usr/libexec/gvfs-afc-volume-monitor from 'getattr' accesses on the sock_file /run/usbmuxd.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that gvfs-afc-volume-monitor should be allowed getattr access on the usbmuxd sock_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep gvfs-afc-volume /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:usbmuxd_var_run_t:s0
Target Objects                /run/usbmuxd [ sock_file ]
Source                        gvfs-afc-volume
Source Path                   /usr/libexec/gvfs-afc-volume-monitor
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           gvfs-afc-1.14.2-2.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-62.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.6.10-4.fc18.x86_64 #1 SMP Tue
                              Dec 11 18:01:27 UTC 2012 x86_64 x86_64
Alert Count                   5
First Seen                    2012-12-11 13:43:06 CET
Last Seen                     2012-12-18 14:42:50 CET
Local ID                      bb8d42b4-5a8a-4643-b3cd-c9691752c33c

Raw Audit Messages
type=AVC msg=audit(1355838170.868:324): avc:  denied  { getattr } for  pid=1558 comm="gvfs-afc-volume" path="/run/usbmuxd" dev="tmpfs" ino=16494 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:usbmuxd_var_run_t:s0 tclass=sock_file


type=SYSCALL msg=audit(1355838170.868:324): arch=x86_64 syscall=stat success=no exit=EACCES a0=3ba76046ae a1=7fe57988bca0 a2=7fe57988bca0 a3=8 items=0 ppid=1556 pid=1558 auid=42 uid=42 gid=42 euid=42 suid=42 fsuid=42 egid=42 sgid=42 fsgid=42 tty=(none) ses=1 comm=gvfs-afc-volume exe=/usr/libexec/gvfs-afc-volume-monitor subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)

Hash: gvfs-afc-volume,xdm_t,usbmuxd_var_run_t,sock_file,getattr

audit2allow

#============= xdm_t ==============
allow xdm_t usbmuxd_var_run_t:sock_file getattr;

audit2allow -R

#============= xdm_t ==============
allow xdm_t usbmuxd_var_run_t:sock_file getattr;


Additional info:
hashmarkername: setroubleshoot
kernel:         3.6.10-4.fc18.x86_64
type:           libreport

Comment 1 Daniel Walsh 2012-12-19 16:09:38 UTC
Fixed in selinux-policy-3.11.1-67.fc18

Comment 2 Fedora Update System 2012-12-21 10:32:11 UTC
selinux-policy-3.11.1-67.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-67.fc18

Comment 3 Fedora Update System 2012-12-21 20:02:41 UTC
Package selinux-policy-3.11.1-67.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-67.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20813/selinux-policy-3.11.1-67.fc18
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-01-11 23:14:24 UTC
selinux-policy-3.11.1-67.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.